# GimpUi.SizeEntry.prototype.set_value

    function set_value(field: Number(gint), value: Number(gdouble)): void {
        // Gjs wrapper for gimp_size_entry_set_value()
    }

Sets the value for field # field of the GimpUi.SizeEntry.

The value passed is treated to be a distance or resolution in the Gimp.Unit the user has selected in the GimpUi.SizeEntry's GimpUi.UnitComboBox.

NOTE: In most cases you won't be interested in this value because the GimpUi.SizeEntry's purpose is to shield the programmer from unit calculations. Use GimpUi.SizeEntry.prototype.set_refval instead.

field

  The index of the field you want to set a value for.

value

  The new value for field.